Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Update a price variant

Idempotency Supported

This endpoint modifies the details of an existing price variant.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/price_variants/{price-variant-id}

Input Parameters

name
optional, string, max chars=100

A unique name of the price variant.

external_name
optional, string, max chars=100

A unique display name for the price variant.

description
optional, string, max chars=500

Description of the price variant.

variant_group
optional, string, max chars=100

The variant_group organizes similar price_variants to optimize strategies such as bundling, geo-based pricing experiments, and campaign-specific pricing like cb-atomic-pricing- for effective grouping. The variant_group provides greater flexibility and precision in your pricing models.

status
optional, enumerated string

Status of a price variant.

Enum Values
active

Active price variant. This price variant can be attached to item prices .

archived

Archived price variant. This price variant is no longer active and cannot be attached to new item prices. Existing item prices that already have this price variant attached will continue to remain as is.

attributes[0..n]
Parameters for attributes. Multiple attributes can be passed by specifying unique indices.
pass parameters as attributes[<param name>][<idx:0..n>]

Returns

Price variant object
Resource object representing price_variant